# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "boxdd-sys"
version = "0.5.0"
build = "build.rs"
links = "box2d"
include = [
    "Cargo.toml",
    "README.md",
    "build.rs",
    "src/**",
    "bin/**",
    "third-party/box2d/include/**/*.h",
    "third-party/box2d/src/**/*.c",
    "third-party/box2d/src/**/*.h",
    "third-party/box2d/LICENSE",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Low-level FFI bindings for Box2D built from upstream via submodule"
homepage = "https://frankorz.com/boxdd/"
documentation = "https://docs.rs/boxdd-sys"
readme = "README.md"
keywords = [
    "box2d",
    "physics",
    "ffi",
    "bindings",
    "game",
]
categories = [
    "external-ffi-bindings",
    "game-engines",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Latias94/boxdd"

[package.metadata.docs.rs]
all-features = false
no-default-features = true
features = []
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
bindgen = ["dep:bindgen"]
build-from-source = []
default = ["build-from-source"]
disable-simd = []
package-bin = [
    "dep:flate2",
    "dep:tar",
]
pkg-config = ["dep:pkg-config"]
simd-avx2 = []
validate = []

[lib]
name = "boxdd_sys"
path = "src/lib.rs"

[[bin]]
name = "package"
path = "bin/package/main.rs"
required-features = ["package-bin"]

[dependencies.flate2]
version = "1"
optional = true

[dependencies.tar]
version = "0.4"
optional = true

[build-dependencies.bindgen]
version = "0.72"
optional = true

[build-dependencies.cc]
version = "1"

[build-dependencies.pkg-config]
version = "0.3"
optional = true
